/*
	The DIY Prime Wake Up Light
	electronics.nilshugo.se
	
	Copyright 2012 Christian Larsson 
	electronics@nilshugo.se
*/

#include <avr/io.h>
#include "buttons.h"

unsigned char buttonIsPressedMinus(void){
	return !(BUTTON_AND_ALARM_STATUS_PORT_READ & 0b00000001);
}

unsigned char buttonIsPressedPlus(void){
	return !((BUTTON_AND_ALARM_STATUS_PORT_READ & 0b00000010) >> 1);
}

unsigned char buttonIsPressedChange(void){
	return !((BUTTON_AND_ALARM_STATUS_PORT_READ & 0b00000100) >> 2);
}

unsigned char switchIsActiveLight(void){
	return !((BUTTON_AND_ALARM_STATUS_PORT_READ & 0b00001000) >> 3);
}

unsigned char switchIsActiveAlarm(void){
	return !((BUTTON_AND_ALARM_STATUS_PORT_READ & 0b00010000) >> 4);
}

unsigned char switchModeStatus(void){
	return ((BUTTON_AND_ALARM_STATUS_PORT_READ & 0b01100000) >> 5);
}
